﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Navigation;

namespace Navigation_Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SPSite sharedNavSite = new SPSite("http://" + serverTextBox.Text + "/test/sharednav");
            SPWeb sharedNavWeb = sharedNavSite.OpenWeb();
            sharedNavWeb.Navigation.UseShared = true;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            SPSite noSharedNavSite = new SPSite("http://" + serverTextBox.Text + "/test/nosharednav");
            SPWeb noSharedNavWeb = noSharedNavSite.OpenWeb();
            noSharedNavWeb.Navigation.UseShared = false;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            SPSite quickLaunchSite = new SPSite("http://" + serverTextBox.Text + "/quicklaunch");
            SPWeb quickLaunchWeb = quickLaunchSite.OpenWeb();
            SPNavigationNodeCollection quickLaunchNodes = quickLaunchWeb.Navigation.QuickLaunch;
            SPNavigationNode internalMenuItem = new SPNavigationNode("Links", "Lists/Links/AllItems.aspx", false);
            quickLaunchNodes.AddAsFirst(internalMenuItem);
            SPNavigationNode externalMenuItem = new SPNavigationNode("SharePoint Experts", "http://www.SharePointExperts.com", true);
            quickLaunchNodes.AddAsFirst(externalMenuItem);
            quickLaunchWeb.Update();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            SPSite quickLaunchSite = new SPSite("http://" + serverTextBox.Text + "/quicklaunch");
            SPWeb quickLaunchWeb = quickLaunchSite.OpenWeb();
            SPNavigationNodeCollection quickLaunchNodes = quickLaunchWeb.Navigation.QuickLaunch;
            quickLaunchNodes.Delete(quickLaunchNodes[0]);
            quickLaunchWeb.Update();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            SPSite quickLaunchSite = new SPSite("http://" + serverTextBox.Text + "/quicklaunch");
            SPWeb quickLaunchWeb = quickLaunchSite.OpenWeb();
            SPNavigationNodeCollection quickLaunchNodes = quickLaunchWeb.Navigation.QuickLaunch;

            SPNavigationNode internalMenuItem = new SPNavigationNode("Administration", "", false);
            quickLaunchNodes.AddAsFirst(internalMenuItem);

            SPNavigationNode externalSubMenuItem1 = new SPNavigationNode("Site Settings", quickLaunchWeb.Url + "/_layouts/settings.aspx", true);
            quickLaunchNodes[0].Children.AddAsFirst(externalSubMenuItem1);

            SPNavigationNode externalSubMenuItem2 = new SPNavigationNode("Create", quickLaunchWeb.Url + "/_layouts/create.aspx", true);
            quickLaunchNodes[0].Children.AddAsFirst(externalSubMenuItem2);

            quickLaunchWeb.Update();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            SPSite topNavigationSite = new SPSite("http://" + serverTextBox.Text + "/topnavigation");
            SPWeb topNavigationWeb = topNavigationSite.OpenWeb();
            SPNavigationNodeCollection topNavigationNodes = topNavigationWeb.Navigation.TopNavigationBar;
            SPNavigationNode internalMenuItem = new SPNavigationNode("Links", "Lists/Links/AllItems.aspx", false);
            topNavigationNodes.AddAsFirst(internalMenuItem);
            SPNavigationNode externalMenuItem = new SPNavigationNode("SharePoint Experts", "http://www.SharePointExperts.com", true);
            topNavigationNodes.AddAsFirst(externalMenuItem);
            topNavigationWeb.Update();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            SPSite topNavigationSite = new SPSite("http://" + serverTextBox.Text + "/topnavigation");
            SPWeb topNavigationWeb = topNavigationSite.OpenWeb();
            SPNavigationNodeCollection topNavigationNodes = topNavigationWeb.Navigation.TopNavigationBar;
            topNavigationNodes.Delete(topNavigationNodes[0]);
            topNavigationWeb.Update();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            SPSite topNavigationSite = new SPSite("http://" + serverTextBox.Text + "/topnavigation");
            SPWeb topNavigationWeb = topNavigationSite.OpenWeb();
            SPNavigationNodeCollection topNavigationBarNodes =
            topNavigationWeb.Navigation.TopNavigationBar;

            SPNavigationNode headerMenuItem = new SPNavigationNode("SharePoint Sites", "", false);
            topNavigationBarNodes.AddAsFirst(headerMenuItem);

            SPNavigationNode externalSubMenuItem1 = new SPNavigationNode("SharePoint Experts", "http://www.SharePointExperts.com", true);
            topNavigationBarNodes[0].Children.AddAsFirst(externalSubMenuItem1);

            SPNavigationNode externalSubMenuItem2 = new SPNavigationNode("SharePoint University", "http://www.SharePointU.com", true);
            topNavigationBarNodes[0].Children.AddAsFirst(externalSubMenuItem2);

            topNavigationWeb.Update();        }

        private void button9_Click(object sender, EventArgs e)
        {
            SPSite topNavigationSite = new SPSite("http://" + serverTextBox.Text + "/topnavigation");
            SPWeb topNavigationWeb = topNavigationSite.OpenWeb();
            SPNavigationNodeCollection topNavigationBarNodes =
            topNavigationWeb.Navigation.TopNavigationBar;

            SPNavigationNode headerMenuItem = new SPNavigationNode("Administration", "", false);
            topNavigationBarNodes.AddAsFirst(headerMenuItem);

            SPNavigationNode externalSubMenuItem1 = new SPNavigationNode("Site Settings", topNavigationWeb.Url + "/_layouts/settings.aspx", true);
            topNavigationBarNodes[0].Children.AddAsFirst(externalSubMenuItem1);

            SPNavigationNode externalSubMenuItem2 = new SPNavigationNode("Create", topNavigationWeb.Url + "/_layouts/create.aspx", true);
            topNavigationBarNodes[0].Children.AddAsFirst(externalSubMenuItem2);

            topNavigationWeb.Update();
        }

        private void button10_Click(object sender, EventArgs e)
        {
            SPSite topSite = new SPSite("http://" + serverTextBox.Text);
            SPWeb topWeb = topSite.OpenWeb();
            SPWeb quickLaunchWeb = topWeb.Webs.Add("quicklaunch", "QuickLaunch", "QuickLaunch test site used for Navigation demos.", Convert.ToUInt32(1033), "STS#0", false, false);
            SPWeb topNavWeb = topWeb.Webs.Add("topnavigation", "Top navigation", "Top navigation test site used for Navigation demos.", Convert.ToUInt32(1033), "STS#0", false, false);
            SPWeb testWeb = topWeb.Webs.Add("test", "Test", "Test site used for Navigation demos.", Convert.ToUInt32(1033), "STS#0", false, false);
            SPWeb sharedNavSite = testWeb.Webs.Add("sharednav", "sharednav", "Sharednav test site used for Navigation demos.", Convert.ToUInt32(1033), "STS#0", false, false);
            SPWeb noSharedNavSite = testWeb.Webs.Add("nosharednav", "nosharednav", "Nosharednav test site used for Navigation demos.", Convert.ToUInt32(1033), "STS#0", false, false);
        }

        private void button11_Click(object sender, EventArgs e)
        {
            MessageBox.Show("This is a simple Windows Forms application that demonstrates how to programmatically change the Quick Launch and Top Navigation menus in SharePoint sites." +
                Environment.NewLine + Environment.NewLine + "Copyright © Todd S. Baginski, SharePoint Experts, Inc. 2007" + Environment.NewLine + Environment.NewLine + "See my blog at http://www.sharepointblogs.com/tbaginski for more helpful articles and utilities.",
                "About this application", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    }
}
